### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
GenericModelEngine< ModelType, ArgumentsType, ResultsType > Class Template Reference

Base class for some pricing engine on a particular model. More...

`#include <ql/pricingengines/genericmodelengine.hpp>`

Inheritance diagram for GenericModelEngine< ModelType, ArgumentsType, ResultsType >:
[legend]

List of all members.

## Public Member Functions

| GenericModelEngine (const Handle< ModelType > &model=Handle< ModelType >())
| GenericModelEngine (const boost::shared_ptr< ModelType > &model)

## Protected Attributes

Handle< ModelType > | model_

## Detailed Description

### template<class ModelType, class ArgumentsType, class ResultsType>
class QuantLib::GenericModelEngine< ModelType, ArgumentsType, ResultsType >

Base class for some pricing engine on a particular model.

Derived engines only need to implement the `calculate()` method